# $Revision: 1.18 $, $Date: 2007/02/12 21:23:53 $
Summary:	DocBook - DTD for technical documentation
Summary(pl.UTF-8):	DocBook - DTD przeznaczone do pisania dokumentacji technicznej
%define ver	4.1
%define sver	41
Name:		docbook-dtd%{sver}-sgml
Version:	1.0
Release:	16
Vendor:		OASIS
License:	Free
Group:		Applications/Publishing/SGML
URL:		http://www.oasis-open.org/docbook/
Source0:	http://www.oasis-open.org/docbook/sgml/%{ver}/docbk%{sver}.zip
# Source0-md5:	489f6ff2a2173eb1e14216c10533ede2
BuildRequires:	unzip
Requires(post,postun):	sgml-common >= 0.5
Requires:	sgmlparser
Requires:	sgml-common >= 0.5
Provides:	docbook-dtd
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	docbook%{sver}-dtd
Obsoletes:	docbook-sgml-%{ver}

%description
DocBook - DTD for technical documentation.

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów przeznaczonych do
tworzenia dokumentacji programistycznej. Stosowany jest do pisania
podręczników systemowych, instrukcji technicznych jak i wielu innych
ciekawych rzeczy.

%prep
%setup -q -c
chmod 644 *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}

install  *.dtd *.mod *.dcl $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/

# install catalog (but filter out ISO entities)
grep -v 'ISO ' docbook.cat > $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/catalog

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.0-13
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%post
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%files
%defattr(644,root,root,755)
%doc *.txt ChangeLog
%{_datadir}/sgml/docbook/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: docbook-dtd41-sgml.spec,v $
Revision 1.18  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.16  2005/04/18 17:04:21  mmazur
- rel 16 for th

Revision 1.15  2004/04/26 14:41:02  adamg
- release 15 for Ac (14 is for Ra)

Revision 1.14  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.13  2003/05/25 05:46:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/09/07 22:48:31  qboosh
- simplified %%prep

Revision 1.11  2002/09/04 11:54:40  wiget
- drop sgml-iso-ent-fix, release 14

Revision 1.10  2002/09/03 16:39:13  wiget
- release 13
- use sgml-iso-ent-fix
- fix %%post/%%postun scripts
- new %%doc

Revision 1.9  2002/04/25 16:12:51  arturs
fixed a small typo

Revision 1.8  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/03/01 02:47:30  kloczek
- release 12,
- fix: Requires for sgml-common changed to Prereq.

Revision 1.4  2001/02/21 23:09:31  kloczek
- added unzip to added BuildRequires,
- release 11 (for allow upgrade from RH version).

Revision 1.3  2001/02/15 14:40:10  klakier
- cosmetics

Revision 1.2  2001/02/15 14:33:07  klakier
- rel 1
